Magick++ 7.1.0

Public Member Functions | List of all members
Magick::ChannelStatistics Class Reference

`#include <Statistic.h>`

## Public Member Functions
| ChannelStatistics (void)
| ChannelStatistics (const ChannelStatistics &channelStatistics_)
| ~ChannelStatistics (void)
double | area () const
PixelChannel | channel (void) const
size_t | depth () const
double | entropy () const
bool | isValid () const
double | kurtosis () const
double | maxima () const
double | mean () const
double | minima () const
double | skewness () const
double | standardDeviation () const
double | sum () const
double | sumCubed () const
double | sumFourthPower () const
double | sumSquared () const
double | variance () const
| ChannelStatistics (const PixelChannel channel_, const MagickCore::ChannelStatistics *channelStatistics_)

## Detailed Description

Definition at line 133 of file Statistic.h.

## Constructor & Destructor Documentation

## ◆ ChannelStatistics() [1/3]

Magick::ChannelStatistics::ChannelStatistics | ( | void |  | ) |

Definition at line 280 of file Statistic.cpp.

## ◆ ChannelStatistics() [2/3]

Magick::ChannelStatistics::ChannelStatistics | ( | const ChannelStatistics & | channelStatistics_ | ) |

Definition at line 299 of file Statistic.cpp.

## ◆ ~ChannelStatistics()

Magick::ChannelStatistics::~ChannelStatistics | ( | void |  | ) |

Definition at line 319 of file Statistic.cpp.

## ◆ ChannelStatistics() [3/3]

Magick::ChannelStatistics::ChannelStatistics | ( | const PixelChannel | channel_,
|  | const MagickCore::ChannelStatistics * | channelStatistics_
| ) |  |

Definition at line 403 of file Statistic.cpp.

## Member Function Documentation

## ◆ area()

double Magick::ChannelStatistics::area | ( | void |  | ) | const

Definition at line 323 of file Statistic.cpp.

## ◆ channel()

Magick::PixelChannel Magick::ChannelStatistics::channel | ( | void |  | ) | const

Definition at line 328 of file Statistic.cpp.

## ◆ depth()

size_t Magick::ChannelStatistics::depth | ( | void |  | ) | const

Definition at line 333 of file Statistic.cpp.

## ◆ entropy()

double Magick::ChannelStatistics::entropy | ( |  | ) | const

Definition at line 338 of file Statistic.cpp.

## ◆ isValid()

bool Magick::ChannelStatistics::isValid | ( | void |  | ) | const

Definition at line 343 of file Statistic.cpp.

## ◆ kurtosis()

double Magick::ChannelStatistics::kurtosis | ( |  | ) | const

Definition at line 348 of file Statistic.cpp.

## ◆ maxima()

double Magick::ChannelStatistics::maxima | ( |  | ) | const

Definition at line 353 of file Statistic.cpp.

## ◆ mean()

double Magick::ChannelStatistics::mean | ( |  | ) | const

Definition at line 358 of file Statistic.cpp.

## ◆ minima()

double Magick::ChannelStatistics::minima | ( |  | ) | const

Definition at line 363 of file Statistic.cpp.

## ◆ skewness()

double Magick::ChannelStatistics::skewness | ( |  | ) | const

Definition at line 368 of file Statistic.cpp.

## ◆ standardDeviation()

double Magick::ChannelStatistics::standardDeviation | ( |  | ) | const

Definition at line 373 of file Statistic.cpp.

## ◆ sum()

double Magick::ChannelStatistics::sum | ( |  | ) | const

Definition at line 378 of file Statistic.cpp.

## ◆ sumCubed()

double Magick::ChannelStatistics::sumCubed | ( |  | ) | const

Definition at line 383 of file Statistic.cpp.

## ◆ sumFourthPower()

double Magick::ChannelStatistics::sumFourthPower | ( |  | ) | const

Definition at line 388 of file Statistic.cpp.

## ◆ sumSquared()

double Magick::ChannelStatistics::sumSquared | ( |  | ) | const

Definition at line 393 of file Statistic.cpp.

## ◆ variance()

double Magick::ChannelStatistics::variance | ( |  | ) | const

Definition at line 398 of file Statistic.cpp.

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp